-- edge.lua
-- エッジを作成するスクリプト

local doc = mc.GetDocument()
local obj = mc.GetActiveMesh(doc,0)

function main(v0,v1)
  if obj ~= nil then
    mc.BeginModify(obj)
    local e = mc.AddEdge(obj, v0,v1)
    mc.EndModify(obj,0)
    print("index",e)
  end
end

function direct(x0,y0,z0, x1,y1,z1)
  if obj ~= nil then
    mc.BeginModify(obj)
    local v0 = mc.AddVertex(obj, x0,y0,z0)
    local v1 = mc.AddVertex(obj, x1,y1,z1)
    local e = mc.AddEdge(obj, v0,v1)
    mc.EndModify(obj,0)
    print("index",e)
  end
end